Enabling Citoid on Marathi wiki, and way forward to it
Closed, ResolvedPublic

Description

I am a contributor to Marathi, Hindi, English Wikipedia, I am into Marathi wiki at large, but I encountered the issue of not having citoid in Marathi Wikipedia. I searched all the things possible to me but couldn't find how to bring citoid for marathi VE. I have been contributing to translatewiki.org to get most of mediawiki and other things in Marathi too.
I did few editothons on Marathi wiki, in Universities and colleges in Maharashtra, where I found that because we don't have good referencing tools we are not able to produce good quality articles. So having citoid becomes the primary need for Marathi wiki now.

Can anyone help me into this?
I got the procedure but, I couldn't get status of it in Marathi. can we have some task force or something which other languages have done to get such features? As I can't understand technicalities of it and neither I have admin rights to perform most of the tasks mentioned in there.
Please lemme know what could be the way to get it, as referencing tools are most important factors in growing any language. I don't know why it was not done earlier.
I am adding whom I could from Marathi wiki, many of them are not available here it seems.

my username is sureshkhole
I can be reached through email if needed at sureshkhole.com@gmail.com

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2018, 10:39 PM

@Sureshkhole Why is this primarily on phabricator? I think this must be first be placed on local wiki notice board where you may get suggestions from the community and than be produced on phabricator for it's implementation. I don't find anything such notified on the local Wikipedia if so please provide a link.

Regards,
Tiven Gonsalves
(User:Tiven2240)

I wish I knew where to start with such topics but I didn't. That's how I had posted it here, No such discussion has happened on our local Marathi wiki,
Sureshkhole

Mvolz added a subscriber: Mvolz.EditedFeb 27 2018, 8:29 AM

@Sureshkhole Here is the documentation on how to do it. https://www.mediawiki.org/wiki/Citoid/Enabling_Citoid_on_your_wiki

As a good starting point, it would be great if you could provide a list of the most commonly used citation templates on Marathi wiki. Ideally it would be helpful if you also start a discussion on marathi wiki and see if other people agree - it's always good to have community consensus as well, but if you can't find anyone to help on wiki, we do have a task for helping smaller wikis with this task. (added as parent task).

Sureshkhole added a comment.EditedFeb 27 2018, 10:13 AM

I have posted about the same on village pump/technical issues. Let's see who comes for this task, otherwise, we will have to go ahead with whatever is possible.
thanks

I have posted about the same on village pump/technical issues. Let's see who comes for this task, otherwise, we will have to go ahead with whatever is possible.
thanks

Great can you link to it here?

It should have been done ages ago, now every hour we add to it is late. Do you even understand what we have missed till now?
Like we need to get all of such tools on war-footage, It's been few years that such tools were introduced and we didn't get it because of certain guys, who were unwilling to democratize tools to produce wiki- itself. So Marathi wiki was made into almost inaccessible for many of Marathi folks who didn't know certain kind of Marathi.
Now I want to get all that which was stopped by them. Which includes powerful citation tools like citoid.

This comment was removed by abhaynatu.

I support adding this to w:mr.
Many w:mr users make use of other plugins but a built-in, uniform tool will help with more and better citations.

Mvolz moved this task from Backlog to Zotero & External on the Citoid board.Mar 5 2018, 12:50 PM

an Administrator has activated citoid on Marathi Wikipedia. But there is some error shown everytime. It shows some description problem. How can this be resolved? I have attached the screenshot too.

Mvolz added a comment.Mar 8 2018, 8:22 PM

an Administrator has activated citoid on Marathi Wikipedia. But there is some error shown everytime. It shows some description problem. How can this be resolved? I have attached the screenshot too.

@Tiven2240 I have temporarily disabled the message.

The reason it is not working is because some of the templates do not have template data.

See step 2a: https://www.mediawiki.org/wiki/Citoid/Enabling_Citoid_on_your_wiki#Step_2.a:_Create_a_'citoid'_maps_value_for_each_Cite_template

Once we add template data to all the templates listed in the message, we can re-enable it.

@Mvolz I have done the necessary changes needed for templates and it's template Data. Is there anything more to be done? Please re-enable the messages that was disabled.

Hope we will be able to use citoid to our fullest!

Thanking you,
User:Tiven2240.

Mvolz added a comment.Mar 9 2018, 1:19 PM

@Mvolz I have done the necessary changes needed for templates and it's template Data. Is there anything more to be done? Please re-enable the messages that was disabled.

Hope we will be able to use citoid to our fullest!

Thanking you,
User:Tiven2240.

Thanks, I see you have added template data, however, that's the template data for the english template - the parameters that need to be documented are the marathi ones, i.e. "दुवा". "शीर्षक" etc.

The translation of the same will be done in due period of time. I request you that the messages that was disabled should be enabled so we may ensure that whether there are more bugs in using citoid. Hope you do the needful.
Thanking you.
Tiven2240

@Mvolz I have done the necessary changes needed for templates and it's template Data. Is there anything more to be done? Please re-enable the messages that was disabled.

Hope we will be able to use citoid to our fullest!

Thanking you,
User:Tiven2240.

Thanks, I see you have added template data, however, that's the template data for the english template - the parameters that need to be documented are the marathi ones, i.e. "दुवा". "शीर्षक" etc.

While I try to translate the documentation this error comes. Is there any solution for it?

Mvolz added a comment.Mar 11 2018, 9:29 AM

@Mvolz I have done the necessary changes needed for templates and it's template Data. Is there anything more to be done? Please re-enable the messages that was disabled.

Hope we will be able to use citoid to our fullest!

Thanking you,
User:Tiven2240.

Thanks, I see you have added template data, however, that's the template data for the english template - the parameters that need to be documented are the marathi ones, i.e. "दुवा". "शीर्षक" etc.

While I try to translate the documentation this error comes. Is there any solution for it?

That means that the first property you have in paramOrder doesn't exist yet in the template data.It might be easier to delete param order first, and then add it in later, once you've already added all the properties.

I'm not sure it makes sense to translate the template data from English at all. Even if you do translate a property, that doesn't mean the template actually has that property. Template Data documents the properties of a template, and the marathi template is not the same as the english template.

You can also use the GUI to add it, based on the documentation that already exists in the page. https://www.mediawiki.org/wiki/Help:TemplateData

Tiven2240 closed this task as Resolved.Mar 14 2018, 8:21 AM
Tiven2240 claimed this task.

Citoid is enabled and is working fine. Thank you all for being in the process.
Thanking you.
Tiven2240

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 14 2018, 8:21 AM